#ifndef MASTER_H
#define MASTER_H

// FFT type defines
//#define FFTW
//#define KISSFFT

// main types
//#define INT16
//#define INT32
//#define FLOAT
//#define DOUBLE
//#define LDOUBLE

// thread support
//#define THREADS

// Avoid prohibited combinations
#if defined(FFTW) && (defined(INT16) || defined(INT32))
  #error "Not supported for FFTW!"
#elif defined(KISSFFT) && (defined(DOUBLE) || defined(LDOUBLE) || defined(THREADS))
  #error "Not supported for KISS FFT!"
#elif (!defined(FFTW) && !defined(KISSFFT)) || (!defined(INT16) && !defined(INT32) && !defined(FLOAT) && !defined(DOUBLE) && !defined(LDOUBLE))
  #error "Nothing defined!"
#endif

#endif // MASTER_H
